@echo off

REM
REM Configure all of VBooking for WAS and DB2
REM
echo *** VBooking Installation Script ***
echo.
SET SCRIPT_ROOT_PATH=%~dp0
SET CURRENT_PATH=%cd%
echo Script executed from %SCRIPT_ROOT_PATH%
echo.

REM Ensure we're in script folder
cd "%SCRIPT_ROOT_PATH%"

call vbooking\scripts\install\Utils.bat confFileNameOnly
call vbooking\scripts\install\Utils.bat promptYN "The %confFileNameOnly% configures all options for this install. No further opportunities to interact with the install will be presented. Do you want to continue (Y/N)?" testIt
if %testIt% == N (
	echo User cancelled install.
	goto:theEnd
)
REM ensure path reverts to script location
CD "%SCRIPT_ROOT_PATH%"

call vbooking\scripts\install\Utils.bat checkAdmin isAdmin
echo|set /p=Checking for administrative permissions...
if %isAdmin% == N (
	echo Not Found.
	echo This script must be executed as administrator. Right click on script and choose 'Run as administrator'
	goto:theEnd
) else ( 
	echo Confirmed.
)
REM ensure path reverts to script location
CD "%SCRIPT_ROOT_PATH%"

if exist .\InstallLogs\ (
	ECHO Deleting old log files
	rmdir /s /q InstallLogs
)
mkdir InstallLogs

echo Checking prerequisites...
call vbooking\scripts\install\VBooking-prereqs > "%SCRIPT_ROOT_PATH%\InstallLogs\VBooking-prereqs.log"
if NOT %errorlevel% EQU 0 (
	echo Prerequisite check failed. See VBooking-prereqs.log for more details."
	goto:theEnd
)
echo prerequisites OK
REM ensure path reverts to script location
CD "%SCRIPT_ROOT_PATH%"

call vbooking\scripts\install\Utils.bat readConfYN CONFIGURE_VBOOKING_MQ_QUEUES N %confFileNameOnly%
IF %CONFIGURE_VBOOKING_MQ_QUEUES% EQU Y (
	echo VBooking MQ configuration
	call vbooking\scripts\install\VBooking-queues > "%SCRIPT_ROOT_PATH%\InstallLogs\VBooking-queues.log"
	echo VBooking MQ configured
) else (
	echo Skipping VBooking MQ configuration
)
REM ensure path reverts to script location
CD "%SCRIPT_ROOT_PATH%"

call vbooking\scripts\install\Utils.bat readConfYN INSTALL_VBOOKING_DATABASE N %confFileNameOnly%
if %INSTALL_VBOOKING_DATABASE% EQU Y (
	echo VBooking database install
    call vbooking\scripts\install\VBooking-database > "%SCRIPT_ROOT_PATH%\InstallLogs\VBooking-database.log"
	echo VBooking database installed
) else (
	echo Skipping VBooking database install
)
REM ensure path reverts to script location
CD "%SCRIPT_ROOT_PATH%"

call vbooking\scripts\install\Utils.bat readConfYN INSTALL_TOMCAT N %confFileNameOnly%
if %INSTALL_TOMCAT% EQU Y (
	echo Tomcat install
    call vbooking\scripts\install\VBooking-tomcat > "%SCRIPT_ROOT_PATH%\InstallLogs\VBooking-tomcat.log"
	echo Tomcat installed
) else (
	echo Skipping Tomcat install
)
REM ensure path reverts to script location
CD "%SCRIPT_ROOT_PATH%"

call vbooking\scripts\install\Utils.bat readConfYN INSTALL_ACTIVEMQ N %confFileNameOnly%
if %INSTALL_ACTIVEMQ% EQU Y (
	echo ActiveMQ install
    call vbooking\scripts\install\VBooking-activemq > "%SCRIPT_ROOT_PATH%\InstallLogs\VBooking-activemq.log"
	echo ActiveMQ installed
) else (
	echo Skipping ActiveMQ install
)
REM ensure path reverts to script location
CD "%SCRIPT_ROOT_PATH%"

call vbooking\scripts\install\Utils.bat readConfYN INSTALL_VBOOKING_WAS_SERVER N %confFileNameOnly%
if %INSTALL_VBOOKING_WAS_SERVER% EQU Y (
	echo VBooking WAS installation
	call vbooking\scripts\install\VBooking-WAS > "%SCRIPT_ROOT_PATH%\InstallLogs\VBooking-WAS.log"
	echo VBooking WAS installed
) else (
	echo Skipping VBooking WAS installation.
)
REM ensure path reverts to script location
CD "%SCRIPT_ROOT_PATH%"

call vbooking\scripts\install\Utils.bat readConfYN INSTALL_VBOOKING_STANDALONE_APPS N %confFileNameOnly%
if %INSTALL_VBOOKING_STANDALONE_APPS% EQU Y (
	echo VBooking stand alone apps installation
	call vbooking\scripts\install\VBooking-standalone > "%SCRIPT_ROOT_PATH%\InstallLogs\VBooking-standalone.log"
	echo VBooking stand alone apps installed
) else (
	echo Skipping VBooking stand alone apps installation.
)
REM ensure path reverts to script location
CD "%SCRIPT_ROOT_PATH%"

call vbooking\scripts\install\Utils.bat readConfYN INSTALL_VBOOKING_SCRIPTS N %confFileNameOnly%
if %INSTALL_VBOOKING_SCRIPTS% EQU Y (
	echo VBooking script installation
	call vbooking\scripts\install\VBooking-scripts > "%SCRIPT_ROOT_PATH%\InstallLogs\VBooking-scripts.log"
	echo VBooking script installed
) else (
	echo Skipping VBooking script installation.
)
REM ensure path reverts to script location
CD "%SCRIPT_ROOT_PATH%"

call vbooking\scripts\install\Utils.bat readConfYN INSTALL_VBOOKING_SCHEMAS N %confFileNameOnly%
if %INSTALL_VBOOKING_SCHEMAS% EQU Y (
	echo VBooking schemas and copybook installation
	call vbooking\scripts\install\VBooking-schemas > "%SCRIPT_ROOT_PATH%\InstallLogs\VBooking-schemas.log"
	echo VBooking schemas and copybook installed
) else (
	echo Skipping VBooking schemas and copybook installation.
)
REM ensure path reverts to script location
CD "%SCRIPT_ROOT_PATH%"

REM Equivalent of Opts Folder
call vbooking\scripts\install\Utils.bat readConfYN INITIALISE_VBOOKING_DATABASE N %confFileNameOnly%
if %INITIALISE_VBOOKING_DATABASE% EQU Y (
	echo VBooking database initialisation
	call vbooking\scripts\install\VBooking-DBInit.bat > VBooking-dbInit.log
	echo VBooking database initialised
) else (
	echo Skipping VBooking database installation.
)

REM installs documentation
call vbooking\scripts\install\VBooking-documentation.bat > VBooking-documentation.log


REM ensure path reverts to script location
CD "%SCRIPT_ROOT_PATH%"
echo "Vacation Booking installation complete."




:theEnd
REM Revert to original path
cd "%CURRENT_PATH%"

pause
