@echo off
echo *******************************************************************************
echo ** Uninstall script for VBooking
echo **
echo ** This script is intended to be used to clear out Vacation Booking 
echo ** installations to enable echo a near fresh install.
echo ** WARNING: WAS Profile, Apache Tomcat Install, Apache ActiveMQ, MQ Queue  
echo ** manager and the DB2 Database are deleted.
echo *******************************************************************************
echo ** The DB2 instance is not removed by this uninstall.
echo **
echo ** NOTE 1: If for whatever reason something goes badly wrong updating 
echo ** system32\drivers\etc\services a backup is made locally to services_back. 
echo **
echo ** NOTE 2: If the previous configuration used for install or installed products
echo ** have changed this uninstall may generate errors. Some can safely be ignored
echo ** e.g. attempt to remove the VBEXRATE database when it does not exist.
echo *******************************************************************************
echo ** 

SET SCRIPT_ROOT_PATH=%~dp0
SET CURRENT_PATH=%cd%
echo Script executed from %SCRIPT_ROOT_PATH%
echo.

REM Ensure we're in script folder
cd "%SCRIPT_ROOT_PATH%"

call vbooking\scripts\install\Utils.bat confFileNameOnly
call vbooking\scripts\install\Utils.bat promptYN "This script relies on a %confFileNameOnly% file matching that used to install VBooking being present. Do you want to continue (Y/N)?" testIt
if %testIt% == N (
	echo User cancelled uninstall.
	goto:theEnd
)

call vbooking\scripts\install\Utils.bat checkAdmin isAdmin
echo|set /p=Checking for administrative permissions...
if %isAdmin% == N (
	echo Not Found.
	echo This script must be executed as administrator. Right click on script and choose 'Run as administrator'
	goto:theEnd
) else ( 
	echo Confirmed.
)

if exist .\UninstallLogs\ (
	ECHO Deleting old log files
	rmdir /s /q UninstallLogs
)
mkdir UninstallLogs

REM WAS
echo Removing Vacation Booking from  WAS
call vbooking\scripts\install\Uninstall-VBooking-WAS > "%SCRIPT_ROOT_PATH%\UninstallLogs\Uninstall-VBooking-WAS.log"
cd "%SCRIPT_ROOT_PATH%"
echo Removing Vacation Booking from  WAS part 2
call vbooking\scripts\install\Uninstall-VBooking-WAS2 >> "%SCRIPT_ROOT_PATH%\UninstallLogs\Uninstall-VBooking-WAS.log"
echo Removed Vacation Booking from  WAS
REM Ensure we're in script folder
cd "%SCRIPT_ROOT_PATH%"

REM MQ
echo Removing Vacation Booking from MQ 
call vbooking\scripts\install\Uninstall-VBooking-queues > "%SCRIPT_ROOT_PATH%\UninstallLogs\Uninstall-VBooking-queues.log"
echo Removed Vacation Booking from MQ 
REM Ensure we're in script folder
cd "%SCRIPT_ROOT_PATH%"

REM DB2
echo Removing Vacation Booking from DB2
call vbooking\scripts\install\Uninstall-VBooking-database > "%SCRIPT_ROOT_PATH%\UninstallLogs\Uninstall-VBooking-database.log"
echo Removed Vacation Booking from DB2
REM Ensure we're in script folder
cd "%SCRIPT_ROOT_PATH%"

REM TOMCAT
echo Removing Vacation Booking from Tomcat
call vbooking\scripts\install\Uninstall-VBooking-tomcat > "%SCRIPT_ROOT_PATH%\UninstallLogs\Uninstall-VBooking-tomcat.log"
echo Removed Vacation Booking from Tomcat
REM Ensure we're in script folder
cd "%SCRIPT_ROOT_PATH%"

REM ACTIVEMQ
echo Removing Vacation Booking from ActiveMQ
call vbooking\scripts\install\Uninstall-VBooking-activemq > "%SCRIPT_ROOT_PATH%\UninstallLogs\Uninstall-VBooking-activemq.log"
echo Removed Vacation Booking from ActiveMQ
REM Ensure we're in script folder
cd "%SCRIPT_ROOT_PATH%"

REM scripts
echo Removing Vacation Booking scripts
call vbooking\scripts\install\Uninstall-VBooking-scripts > "%SCRIPT_ROOT_PATH%\UninstallLogs\Uninstall-VBooking-scripts.log"
echo Removed Vacation Booking scripts
REM Ensure we're in script folder
cd "%SCRIPT_ROOT_PATH%"

REM schemas
echo Removing Vacation Booking schemas and copybook
call vbooking\scripts\install\Uninstall-VBooking-schemas > "%SCRIPT_ROOT_PATH%\UninstallLogs\Uninstall-VBooking-schemas.log"
echo Removed Vacation Booking schemas and copybook
REM Ensure we're in script folder
cd "%SCRIPT_ROOT_PATH%"

REM Stand alone apps
echo Removing Stand alone apps
call vbooking\scripts\install\Uninstall-VBooking-standalone > "%SCRIPT_ROOT_PATH%\UninstallLogs\Uninstall-VBooking-standalone.log"
echo Removed Stand alone apps
REM Ensure we're in script folder
cd "%SCRIPT_ROOT_PATH%"
