rem
rem Setup the WebSphere MQ Exit.
rem

echo Installing and configuring the WebSphere MQ Exit...

SET SCRIPT_PATH=%~dp0
SET CURRENT_PATH=%cd%
cd "%SCRIPT_PATH%"
cd ../install
SET UTILS_PATH=%cd%

call Utils.bat readConf PATH_MQ_BINARY
call Utils.bat readConf TOOLS_PATH
call Utils.bat readConf NAME_QUEUE_MANAGER
call Utils.bat readConf PORT_QUEUE_MANAGER


echo Stopping WebSphere MQ
cd %PATH_MQ_BINARY%
call endmqm -i QM_vbooking
call endmqlsr -m QM_vbooking

echo Copying files
cd ..
SET MQ_PATH=%cd%

copy /Y "%TOOLS_PATH%\IBM\WebSphereMQ\dist\7.1\intercept_windows_x86_7.1.dll" "%MQ_PATH%\exits"
copy /Y "%TOOLS_PATH%\IBM\WebSphereMQ\dist\7.1\intercept_windows_x86_64_7.1.dll" "%MQ_PATH%\exits64"


echo Renaming Files.
move /Y "%MQ_PATH%"\exits\intercept_windows_x86_7.1.dll "%MQ_PATH%"\exits\intercept.dll
move /Y "%MQ_PATH%"\exits64\intercept_windows_x86_64_7.1.dll "%MQ_PATH%"\exits64\intercept.dll

echo Adding intercept details to qm.ini
echo ApiExitLocal: >> "%MQ_PATH%"\qmgrs\"%NAME_QUEUE_MANAGER%"\qm.ini
echo    Data=com.greenhat.intercept >> "%MQ_PATH%"\qmgrs\"%NAME_QUEUE_MANAGER%"\qm.ini
echo    Sequence=100 >> "%MQ_PATH%"\qmgrs\"%NAME_QUEUE_MANAGER%"\qm.ini
echo    Name=Intercept >> "%MQ_PATH%"\qmgrs\"%NAME_QUEUE_MANAGER%"\qm.ini
echo    Function=EntryPoint >> "%MQ_PATH%"\qmgrs\"%NAME_QUEUE_MANAGER%"\qm.ini
echo    Module=intercept >> "%MQ_PATH%"\qmgrs\"%NAME_QUEUE_MANAGER%"\qm.ini

echo Starting WebSphere MQ
cd %PATH_MQ_BINARY%
call strmqm %NAME_QUEUE_MANAGER%
call strmqcsv %NAME_QUEUE_MANAGER%
call runmqlsr -m %NAME_QUEUE_MANAGER% -t TCP -p %PORT_QUEUE_MANAGER%
echo Adding namelist
(
echo DEFINE NAMELIST^('rit.divert.rules'^) LIKE^(SYSTEM.DEFAULT.NAMELIST^)
) > MQCommands.txt

call runmqsc < MQCommands.txt

echo MQ Exit Installed.
cd %CURRENT_PATH%

