@echo off
rem 
rem Check pre-reqs
rem

echo Checking prerequisites...

SET SCRIPT_PATH=%~dp0
SET CURRENT_PATH=%cd%
cd "%SCRIPT_PATH%"
cd ../install

call Utils.bat readConf TOOLS_PATH
call Utils.bat readConf TOMCAT_PATH
call Utils.bat readConf PATH_MQ_BINARY
call Utils.bat readConf PATH_WAS_HOME
call Utils.bat readConf NAME_WAS_INSTANCE

SET EXIT_CODE=0

echo RTCP and tools available...
if Not Exist "%TOOLS_PATH%" (
	set EXIT_CODE=1
	echo No.
) else (
	echo Yes.
)

echo Tomcat available...
echo "%TOMCAT_PATH%
if Not Exist "%TOMCAT_PATH%" (
	set EXIT_CODE=1
	echo No.
) else (
	echo Yes.
)


echo IBM DB2 available...

where /q db2level
if %ERRORLEVEL% EQU 1 (
	set EXIT_CODE=1
	echo No.
) else (
	echo Yes.
)

echo IBM WebSphere MQ available...
if Not Exist "%PATH_MQ_BINARY%" (
	set EXIT_CODE=1
	echo No.
) else (
	echo Yes.
)

echo IBM WebSphere Application Server available...
if Not Exist "%PATH_WAS_HOME%" (
	set EXIT_CODE=1
	echo No.
	echo WebSphere Application Server profile $NAME_WAS_INSTANCE found... No.
) else (
	echo Yes.
	echo WebSphere Application Server profile "%NAME_WAS_INSTANCE%" found... 
	if Not Exist "%PATH_WAS_HOME%/profiles/%NAME_WAS_INSTANCE%" (
		set EXIT_CODE=1
		echo No.
	) else (
		echo Yes.
	)
)

cd "%CURRENT_PATH%"

exit /b %EXIT_CODE%



