#!/bin/bash
#
# Setup the JDBC driver for Tomcat.
#

echo "Installing and configuring JDBC driver for Tomcat...."
THIS_SCRIPT_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${THIS_SCRIPT_PATH}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
SCRIPT_ROOT_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
source $SCRIPT_ROOT_PATH/installer-variables-linux.conf

echo "Stopping Tomcat"
#$TOMCAT_PATH/bin/shutdown.sh
service vbtomcat stop

echo "Copying files"
cp $TOOLS_PATH/Java/JDBC/*.jar $TOMCAT_PATH/lib/
cp $TOOLS_PATH/Java/JDBC/*.xml $TOMCAT_PATH/lib/

echo "Updating setenv.sh"
sed -i.bak s/com\.ibm\.db2/com\.greenhat\.jdbc\.Driver\:com\.ibm\.db2/g $TOMCAT_PATH/bin/setenv.sh

# Add identifiers to the JDBC driver:
mv $TOMCAT_PATH/lib/registration.xml $TOMCAT_PATH/lib/registration.xml.backup
cat $TOMCAT_PATH/lib/registration.xml.backup | tr '\n' '\r' | sed -e 's|<!--[^\r]*\r[^\r]*<identifier[^\r]*\r[^-]*-->|<identifier\ name=\"Apache\ Tomcat\"\/>|' | tr '\r' '\n' > $TOMCAT_PATH/lib/registration.xml

chown $USERNAME_TOMCAT:$USERGROUP_TOMCAT $TOMCAT_PATH/lib/*.jar
chown $USERNAME_TOMCAT:$USERGROUP_TOMCAT $TOMCAT_PATH/lib/*.xml

echo "Starting Tomcat"
#$TOMCAT_PATH/bin/startup.sh
service vbtomcat start

echo "JDBC driver installed for Tomcat."
