@echo off
rem 
rem Setup Java virtualization for Tomcat
rem

echo Installing and configuring Java agent for Tomcat...

SET SCRIPT_PATH=%~dp0
SET CURRENT_PATH=%cd%
cd "%SCRIPT_PATH%"
cd ..\install
SET UTILS_PATH=%cd%

call Utils.bat readConf TOOLS_PATH
call Utils.bat readConf TOMCAT_PATH
call Utils.bat readConf TOMCAT_ZIP_SUB_FOLDER

IF EXIST "%TOMCAT_PATH%\%TOMCAT_ZIP_SUB_FOLDER%" (
	set tcFolder=%TOMCAT_PATH%\%TOMCAT_ZIP_SUB_FOLDER%
)

if Not Exist "%tcFolder%" (
	echo Unable to find Tomcat. Check the path in the config file.
	cd %CURRENT_PATH%
	exit /b 1
)

if Not Exist "%tcFolder%\Agent" (
	mkdir "%tcFolder%\Agent"
)

echo Copying files
copy /Y "%TOOLS_PATH%\Java\Agent\*.jar" "%tcFolder%\Agent"
copy /Y "%TOOLS_PATH%\Java\Agent\*.xml" "%tcFolder%\Agent"

echo Java agent updated.

cd %CURRENT_PATH%