#!/bin/bash
#
# Extract required tools from the RTCP installation.
#

echo "Extracting RTCP tools..."
THIS_SCRIPT_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${THIS_SCRIPT_PATH}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
SCRIPT_ROOT_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
source $SCRIPT_ROOT_PATH/installer-variables-linux.conf

echo "Extracting JDBC driver"
unzip $TOOLS_PATH/Java/JDBC/JDBCIntercept.zip -d $TOOLS_PATH/Java/JDBC

echo "Extracting Java Agent"
unzip $TOOLS_PATH/Java/Agent/JavaAgent.zip -d $TOOLS_PATH/Java/Agent

echo "Extracting MQ Exit"
unzip $TOOLS_PATH/IBM/WebSphereMQ/dist/IBMWebSphereMQdist.zip -d $TOOLS_PATH/IBM/WebSphereMQ/dist

echo "Updating registration.xml"
sed -i.bak "s|base-url=\"http://localhost:7819/RTCP\"|base-url=\"$RTCP_URL\"|g" $TOOLS_PATH/Java/JDBC/registration.xml
sed -i.bak "s|base-url=\"http://localhost:7819/RTCP\"|base-url=\"$RTCP_URL\"|g" $TOOLS_PATH/Java/Agent/registration.xml

echo "RTCP tools extracted and pre-configured."
