CREATE PROCEDURE doFlyCheck(
		IN passengerFirstName VARCHAR(200),
		IN passengerLastName VARCHAR(200), 
		IN flightNumber VARCHAR(200),
		IN identification VARCHAR(200),
		IN weekNumber VARCHAR(200),
		OUT clearToFlyStatus BOOLEAN,
		OUT confirmationCode TIMESTAMP,
		OUT warning VARCHAR(200))
	LANGUAGE SQL
BEGIN
	-- Simply stored procedure that ignores most of the parameters
	-- and allows the flight if the Identification is longer than six characters
	IF LENGTH(identification) <= 6 THEN
		-- No fly
		SET clearToFlyStatus = FALSE;
		SET confirmationCode = (SELECT CURRENT_TIMESTAMP FROM sysibm.sysdummy1);
		SET warning = 'Permission denied, passport number must be longer than six characters.';
	ELSE 
		SET clearToFlyStatus = TRUE;
		SET confirmationCode = (SELECT CURRENT_TIMESTAMP FROM sysibm.sysdummy1);
		SET warning = '';		
	END IF;
END@
