@echo off
REM
REM Check pre-reqs
REM
SET SCRIPT_PATH=%~dp0
SET CURRENT_PATH=%cd%

cd "%SCRIPT_PATH%"

rem Assume that everything is OK until we find something that contradicts that
SET EXIT_CODE=0
setlocal enableDelayedExpansion

call Utils.bat readConfYN USE_PRE_INSTALLED_TOMCAT N
call Utils.bat readConf TOMCAT_ZIP
IF %USE_PRE_INSTALLED_TOMCAT% EQU Y (
	echo Using pre-installed TOMCAT instance.
	goto:activemqCheck
)
echo|set /p=Tomcat zip archive found...
if exist "%CURRENT_PATH%\%TOMCAT_ZIP%" (
	echo Yes.
) else (
	echo No.
	SET EXIT_CODE=1
)

:activemqCheck
call Utils.bat readConfYN INSTALL_ACTIVEMQ N
call Utils.bat readConfYN USE_PRE_INSTALLED_ACTIVEMQ N
call Utils.bat readConf ACTIVEMQ_ZIP
IF %INSTALL_ACTIVEMQ% EQU Y (
	IF %USE_PRE_INSTALLED_ACTIVEMQ% EQU Y (
		echo Using pre-installed ActiveMQ instance.
		goto:db2Check
	)
	echo|set /p=ActiveMQ zip archive found...
	if exist "%CURRENT_PATH%\%ACTIVEMQ_ZIP%" (
		echo Yes.
	) else (
		echo No.
		SET EXIT_CODE=1
	)
) else (
	echo Skipping ActiveMQ check as its not being installed.
)

:db2Check
echo|set /p=IBM DB2 available...
for /f %%i in ('db2set db2instprof') do set db2InstProf=%%i
if exist "%db2InstProf%" (
	echo Yes.
) else (
	echo No.
	SET EXIT_CODE=1
)

echo|set /p=IBM DB2 driver found...
call Utils.bat CheckSetDB2Path
if exist "%DB2_PATH%\java\db2jcc4.jar" (
	echo Yes.
) else (
	SET EXIT_CODE=1
	echo No. %DB2_PATH%\java\db2jcc4.jar was not found.
)

echo|set /p=IBM WebSphere MQ available...
call Utils.bat readConf PATH_MQ_BINARY
if exist "%PATH_MQ_BINARY%" (
	echo Yes.
) else ( 
	SET EXIT_CODE=1
	echo No.
)

echo|set /p=IBM WebSphere Application Server available...
call Utils.bat readConf PATH_WAS_HOME
call Utils.bat readConf NAME_WAS_INSTANCE
if exist "%PATH_WAS_HOME%" (
	echo Yes.

	echo|set /p=WebSphere Application Server profile "%NAME_WAS_INSTANCE%" found...
	if exist "%PATH_WAS_HOME%\profiles\%NAME_WAS_INSTANCE%" (
		echo Yes.
	) else (
		SET EXIT_CODE=1
		echo No.
	)
) else (
	SET EXIT_CODE=1
	echo No.
	echo WebSphere Application Server profile %NAME_WAS_INSTANCE% found... No.
)

echo|set /p=IBM WebSphere MQ jars found...
if exist "%PATH_WAS_HOME%"\installedConnectors\wmq.jmsra.rar\ (
	echo Yes.
) else (
	SET EXIT_CODE=1
	echo "%PATH_WAS_HOME%\installedConnectors\wmq.jmsra.rar" does not exist. Please make sure MQ connector is installed in WAS.
)

call Utils.bat readConf CONFIGURE_CICS_INTERFACE
call Utils.bat readConf CICSTG_JAR_LOCATION
IF %CONFIGURE_CICS_INTERFACE% EQU Y (
    echo|set /p=CICS jar found...
	if exist "%CICSTG_JAR_LOCATION%\ctgclient.jar" (
		echo Yes.
	) else (
		echo "%CICSTG_JAR_LOCATION%\ctgclient.jar" not found.
		SET EXIT_CODE=1
	) 
)

call Utils.bat confFileNameOnly
if NOT %EXIT_CODE% EQU 0 (
	echo Errors were found when checking VBooking prerequisites.
	echo Check that the file %confFileNameOnly% has been filled out correctly.
)
exit /b %EXIT_CODE%

