#!/bin/bash
#
# Check pre-reqs
#

THIS_SCRIPT_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${THIS_SCRIPT_PATH}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
SCRIPT_ROOT_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
source $SCRIPT_ROOT_PATH/installer-variables-linux.conf

# Assume that everything is OK until we find something that contradicts that
EXIT_CODE=0

echo -ne "$TOMCAT_ZIP exists in the script root directory... "
if [ ! -e $SCRIPT_ROOT_PATH/$TOMCAT_ZIP ]; then
	EXIT_CODE=1
	echo "No."
else
	echo "Yes."
fi

#Check ActiveMQ requirement only if it is being installed
if [ $INSTALL_ACTIVEMQ = "Y" ]; then
	echo -ne "$ACTIVEMQ_ZIP exists in the script root directory... "
	if [ ! -e $SCRIPT_ROOT_PATH/$ACTIVEMQ_ZIP ]; then
		EXIT_CODE=1
		echo "No."
	else
		echo "Yes."
	fi
fi

echo -ne "IBM DB2 available... "
if [ ! -x /usr/local/bin/db2ls ]; then
	EXIT_CODE=1
	echo "No."
else
	echo "Yes."
fi

echo -ne "IBM DB2 Driver found... "
A=$(/usr/local/bin/db2ls -c | cut -d : -f 1)
DB2_PATH=${A:6}
if [ -e $DB2_PATH/java/db2jcc4.jar ]
then
	echo "Yes."
else
	echo "No. ${DB2_PATH}/java/db2jcc4.jar was not found. " 
	EXIT_CODE=1
fi
	

echo -ne "IBM WebSphere MQ available... "
if [ ! -d $PATH_MQ_BINARY ]; then
	EXIT_CODE=1
	echo "No."
else
	echo "Yes."
fi

echo -ne "IBM WebSphere Application Server available... "
if [ ! -d $PATH_WAS_HOME ]; then
	EXIT_CODE=1
	echo "No."
	echo "WebSphere Application Server profile $NAME_WAS_INSTANCE found... No."
else
	echo "Yes."
	echo -ne "WebSphere Application Server profile $NAME_WAS_INSTANCE found... "
	if [ ! -d $PATH_WAS_HOME/profiles/$NAME_WAS_INSTANCE ]; then
		EXIT_CODE=1
		echo "No."
	else
		echo "Yes."
	fi
fi

echo -ne "IBM Websphere MQ jars found..."
if [ -d $PATH_WAS_HOME//installedConnectors/wmq.jmsra.rar ]; then
	echo Yes.
else
	EXIT_CODE=1
	echo "$PATH_WAS_HOME/installedConnectors/wmq.jmsra.rar does not exist. Please make sure MQ connector is installed in WAS"
fi

if [ "$CONFIGURE_CICS_INTERFACE" == "Y" ]; then
	echo -ne "CICS TG jar found.."
	if [ -e $CICSTG_JAR_LOCATION/ctgclient.jar ]; then
		echo Yes.
	else
		echo "$CICSTG_JAR_LOCATION/ctgclient.jar" not found.
		EXIT_CODE=1
	fi
fi

if [ $EXIT_CODE -ne 0 ]; then
	echo "Errors were found when checking VBooking prerequisites."
	echo "Check that the file installer-variables-linux.conf has been filled out correctly."
fi
	
exit $EXIT_CODE
