' Asks an ActiveMQ installation what its version is and compares the value
' to a target version
' IN:   Full path to root Active MQ installation e.g. C:\My Progs\Active MQ
' IN:   The target version to query e.g. 5.9.0
'
' OUT:  -1 if the target version is less (older) than the installed version
'       0 if the versions match
'       1 if the target version is greater (newer) than the installed version
'       -2 if the version could not be determined
dim activeMqPath: activeMqPath =  WScript.Arguments(0)
dim targetVersion: targetVersion = WScript.Arguments(1)
dim versionFound: versionFound = False

' activemq.bat --version prints out the version as "ActiveMQ 5.9.0".
' Create a regex to look for this in the program output
Set versionRegex = new regexp
versionRegex.Pattern = "ActiveMQ \d+\.\d+(\.\d+)?"

' Call the activemq batch file and ask for the installation version
Set objShell = WScript.CreateObject("WScript.Shell")
Set objExecObject = objShell.Exec("cmd /c """ &activeMqPath &"\bin\activemq.bat --version""")
Do While Not objExecObject.StdOut.AtEndOfStream
    line = objExecObject.StdOut.ReadLine()
    If versionRegex.test(line) Then
        versionFound = True
        dim dottedVersion: dottedVersion = split(line, " ")(1)
        dim splitActualVersion: splitActualVersion = split(dottedVersion, ".")
        dim splitTargetVersion: splitTargetVersion = split(targetVersion, ".")
        
        ' Determine which version (actual or target) has the least number of points
        ' e.g. 5.9.1 vs 5.9.
        dim minPoints
        If UBound(splitActualVersion) < UBound(splitTargetVersion) then 
            minPoints = UBound(splitActualVersion) 
        else 
            minPoints = UBound(splitTargetVersion)
        end if
        For i = 0 to minPoints
            if CInt(splitActualVersion(i)) < CInt(splitTargetVersion(i)) then
                WScript.quit -1
            elseif CInt(splitActualVersion(i)) > CInt(splitTargetVersion(i)) then
                WScript.quit 1
            end if
        next
        
        if UBound(splitActualVersion) > UBound(splitTargetVersion) then
            WScript.quit 1
        elseif UBound(splitActualVersion) < UBound(splitTargetVersion) then
            WScript.quit -1
        end if
        Exit Do
    End If
Loop

if versionFound = False then 
    WScript.quit -2
end if